Bug 53280 - symbolic links cannot be replaced
symbolic links cannot be replaced
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: filesystem (Show other bugs)
roswell
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 20:27 EDT by George Thomas
Modified: 2014-03-16 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-05 20:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Thomas 2001-09-05 20:27:57 EDT
Description of Problem:

Using the command 'ln -sf' does not replace an existing link.

Version-Release number of selected component (if applicable):

Roswell2 - kernel 2.4.7-2.5

How Reproducible:
100%

Steps to Reproduce:
1. ln -s <file> <link>
2. ln -sf <file2> <link>
3. <link> will still point to <file>

Actual Results:
[gthomas@station91 work2]$ ls -l ecc
lrwxrwxrwx    1 gthomas  gthomas        27 Sep  6 08:27 ecc ->
ecc_ascom-all-010803-branch
[gthomas@station91 work2]$ ln -sf ecc_trunk ecc
[gthomas@station91 work2]$ ls -l ecc
lrwxrwxrwx    1 gthomas  gthomas        27 Sep  6 08:27 ecc ->
ecc_ascom-all-010803-branch


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2001-09-06 01:02:15 EDT
Works fine for me with kernel-2.4.7-7, current fileutils, etc.

Note You need to log in before you can comment on or make changes to this bug.